Skip to main content
GET
List borrow markets by network

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Canonical network slug

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
robinhood

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:50

Number of items per page

Required range: 0 < x <= 1000
allowedNetworks
enum<string>[]

Networks to be included by canonical network slug.

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
robinhood
disallowedNetworks
enum<string>[]

Networks to be excluded by canonical network slug. Ignored if allowedNetworks is specified.

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
robinhood
allowedCollateralAssets
string[]

Collateral assets to be included by symbol, name, or address.

Minimum string length: 1
disallowedCollateralAssets
string[]

Collateral assets to be excluded by symbol, name, or address. Ignored if allowedCollateralAssets is specified.

Minimum string length: 1
allowedBorrowAssets
string[]

Borrow assets to be included by symbol, name, or address.

Minimum string length: 1
disallowedBorrowAssets
string[]

Borrow assets to be excluded by symbol, name, or address. Ignored if allowedBorrowAssets is specified.

Minimum string length: 1
minTvl
integer

Minimum borrow market TVL in USD, computed from total supplied assets.

Required range: x >= 0

Response

Default Response

itemsOnPage
integer
required

Number of items on the current page

data
object[]
required
errors
object
required
nextPage
integer

Next page number